set ISE_VER=14.1

REM If the XILINX env var is not set, or if it isn't set to the correct ISE_VER,
REM then go set it correctly before doing the rest of the batch tasks
if NOT "%XILINX%" == "C:\Xilinx\%ISE_VER%\ISE_DS\ISE" GOTO CHECK64
@ECHO The correct XILINX environment variable was detected.
GOTO DO_BATCH

:CHECK64
if NOT "%PROCESSOR_ARCHITECTURE%" == "AMD64" GOTO SET32
@ECHO The XILINX environment variable was not detected and this is a 64-bit PC.
@ECHO Setting 64-bit environment variables now...
call C:\Xilinx\%ISE_VER%\ISE_DS\settings64.bat
GOTO DO_BATCH

:SET32
@ECHO The XILINX environment variable was not detected and this is a 32-bit PC.
@ECHO Setting 64-bit environment variables now...
call C:\Xilinx\%ISE_VER%\ISE_DS\settings32.bat

:DO_BATCH
echo off
@echo connect arm hw                    > xmd.ini
@echo source ps7_init.tcl              >> xmd.ini
@echo ps7_init                         >> xmd.ini
@echo dow u-boot_autoboot_disabled.elf >> xmd.ini
@echo run                              >> xmd.ini
@echo exit                             >> xmd.ini
xmd                                    